FRAGMENTPROGRAM(3CgFX)

NAME
FragmentProgram - 3D API fragment program

USAGE
FragmentProgram = compile profile "-po profileOption" main(args);

VALID ENUMERANTS
prog: Null

DESCRIPTION
Compile a fragment program. See the specification of the OpenGL fragment profile for details. See the specification of the Direct3D fragment shaders for details.

The standard reset callback sets the FragmentProgram state to program(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram, GeometryShader, PixelShader, TessellationControlShader, TessellationEvaluationShader, VertexShader